org.apache.ignite.internal

## Class IgniteDiagnosticMessage.DiagnosticBaseClosure

- java.lang.Object
- - org.apache.ignite.internal.IgniteDiagnosticMessage.DiagnosticBaseClosure

All Implemented Interfaces:
  Serializable, IgniteBiInClosure<StringBuilder,GridKernalContext>

Direct Known Subclasses:
  IgniteDiagnosticMessage.ExchangeInfoClosure, IgniteDiagnosticMessage.TxEntriesInfoClosure, IgniteDiagnosticMessage.TxInfoClosure

Enclosing class:
  IgniteDiagnosticMessage

    public abstract static class IgniteDiagnosticMessage.DiagnosticBaseClosure
    extends Object
    implements IgniteBiInClosure<StringBuilder,GridKernalContext>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DiagnosticBaseClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `merge(IgniteDiagnosticMessage.DiagnosticBaseClosure other)`
`Object` `mergeKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteBiInClosure

`apply`

### Constructor Detail

#### DiagnosticBaseClosure

    public DiagnosticBaseClosure()

### Method Detail

#### mergeKey

    public Object mergeKey()

Returns:
  Key to group similar messages.

#### merge

    public void merge(IgniteDiagnosticMessage.DiagnosticBaseClosure other)

Parameters:
  `other` - Another closure of the same type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019